openSUSE2021:0588-1: moderate: Security update for python-django-registration

openSUSE Security Update: Security update for python-django-registration ______________________________________________________________________________
Announcement ID: openSUSE-SU-2021:0588-1 Rating: moderate References: #1184427 Cross-References: CVE-2021-21416 Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________
An update that fixes one vulnerability is now available.
Description:
This update for python-django-registration fixes the following issues:
Update to 3.1.2 (boo#1184427, CVE-2021-21416)
* Filter sensitive POST parameters in error reports * Fix RemovedInDjango40Warning from Signal arguments
Patch Instructions:
To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”.
Alternatively you can run the command listed for your product:
– openSUSE Leap 15.2:
zypper in -t patch openSUSE-2021-588=1

Package List:
– openSUSE Leap 15.2 (noarch):
python3-django-registration-3.1.2-lp152.3.3.1
References:
www.suse.com/security/cve/CVE-2021-21416.html bugzilla.suse.com/1184427